Bug 199635 - Stopping a cloned MediaStream video track should not stop any other video track
Summary: Stopping a cloned MediaStream video track should not stop any other video track
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-07-09 12:33 PDT by youenn fablet
Modified: 2019-07-12 10:28 PDT (History)
5 users (show)

See Also:


Attachments
Patch (8.39 KB, patch)
2019-07-09 14:13 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-07-09 12:33:26 PDT
Stopping a cloned MediaStream video track should not stop any other video track
Comment 1 youenn fablet 2019-07-09 14:13:51 PDT
Created attachment 373763 [details]
Patch
Comment 2 EWS Watchlist 2019-07-09 14:16:27 PDT
Attachment 373763 [details] did not pass style-queue:


ERROR: Source/WebCore/platform/mediastream/RealtimeMediaSource.h:236:  Inline functions should not be in classes annotated with WEBCORE_EXPORT. Remove the macro from the class and apply it to each appropriate method, or move the inline function definition out-of-line.  [build/webcore_export] [4]
Total errors found: 1 in 8 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Eric Carlson 2019-07-11 16:49:48 PDT
Comment on attachment 373763 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373763&action=review

> Source/WebCore/platform/mediastream/RealtimeMediaSource.h:112
> +    virtual void requestToEnd(Observer& callingObserver);

Is this change necessary?
Comment 4 youenn fablet 2019-07-12 10:12:15 PDT
Comment on attachment 373763 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373763&action=review

>> Source/WebCore/platform/mediastream/RealtimeMediaSource.h:112
>> +    virtual void requestToEnd(Observer& callingObserver);
> 
> Is this change necessary?

Unfortunately yes.
We might want to improve the model at some point to remove this.
Comment 5 WebKit Commit Bot 2019-07-12 10:27:59 PDT
Comment on attachment 373763 [details]
Patch

Clearing flags on attachment: 373763

Committed r247391: <https://trac.webkit.org/changeset/247391>
Comment 6 WebKit Commit Bot 2019-07-12 10:28:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2019-07-12 10:28:15 PDT
<rdar://problem/53015111>